# -*- coding: UTF-8 -*-

import os
import config as cfg

def run():
    # 读取配置文件
    conFigList = cfg.read_config_file()
    if not conFigList: print('[没有找到配置文件]')
    else:
        # 选择运行配置
        data = cfg.run_config_selector(conFigList)
        # 处理目录结构
        dirDict = cfg.config_dir_structure(data)
        os.system('cls')
        if not dirDict:
            print('[配置文件为空]\n')
            run()
        else:
            # 创建目录
            base_path = '.'
            cfg.create_folders(base_path, dirDict)
            print('[目录创建成功]\n')
            run()

if __name__ == '__main__':
    run()